OO.configure do |c|
  c.licence_max_depth = 4

  c.licence_checkers_default_user = ->(base) { base.current_user }
  c.licence_checkers_default_key = lambda do |base|
    base.controller_path.gsub('/', '_') +
      OO::Licence.separator +
      base.action_name
  end

  c.licence_missing_reaction = lambda do |licence_key, user|
    raise OO::Errors::LicenceMissing, licence_key: licence_key,
                                      user_data: user.id
  end

  c.default_licence_keys = []
end
