require 'oo/version'
require 'oo/configuration'
require 'oo/errors/licence_missing'
require 'oo/errors/licence_max_depth_invalid'
require 'oo/errors/licence_missing_reaction_invalid'
require 'oo/errors/licence_checkers_default_user_invalid'
require 'oo/errors/licence_checkers_default_key_invalid'
require 'oo/errors/default_licence_keys_invalid'
require 'oo/licence'
require 'oo/check_licence'
require 'oo/licence_user'
require 'oo/licence_checkers'

module OO
  class << self
    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration) if block_given?
      configuration
    end
  end
end
