module OO
  class CheckLicence
    attr_reader :licence_key, :licence_keys, :licence

    def self.call(attrs = {})
      new(attrs).call
    end

    def initialize(attrs = {})
      @licence_key = attrs.fetch(:key)
      @licence_keys = attrs.fetch(:in)
      @licence = Licence.new(key: licence_key)
    end

    def call
      licence.masks & licence_keys
    end
  end
end
