module OO
  module LicenceUser
    def self.included(base)
      base.class_eval do
        field :licence_keys, type: :array,
                             default: OO.configuration.default_licence_keys

        def licensed?(attrs = {})
          required_key = attrs.fetch(:to)
          CheckLicence.call(key: required_key, in: licence_keys).any?
        end
      end
    end
  end
end
